diff --git a/framework/crbs.py b/framework/crbs.py
index 14315ad2..5d5f0e1e 100644
--- a/framework/crbs.py
+++ b/framework/crbs.py
@@ -11,7 +11,7 @@ crbs_desc = {
         L3 D-cache (shared across physical cores).
       - 8x DDR3 DIMMs @ 1333 MHz of 4GB each. Each of the 4 memory channels of each
         CPU is populated with 2 DIMMs.
-      - 4x Intel 82599 (Niantic) NICs (2x 10GbE full duplex optical ports per NIC)
+      - 4x Intel 82599 NICs (2x 10GbE full duplex optical ports per NIC)
         plugged into the available PCIe Gen2 8-lane slots. To avoid PCIe bandwidth
         bottlenecks at high packet rates, a single optical port from each NIC is
         connected to the traffic  generator.
diff --git a/framework/excel_reporter.py b/framework/excel_reporter.py
index 3a6bdb5d..6f614b93 100644
--- a/framework/excel_reporter.py
+++ b/framework/excel_reporter.py
@@ -45,9 +45,9 @@ Example:
 
 Result:
     execl will be formatted as
-    DUT             Target                      NIC      Test suite Test case Results
-    10.239.128.117  x86_64-native-linuxapp-gcc  niantic
-                                                         SUITE      CASE      PASSED
+    DUT             Target                      NIC                    Test suite Test case Results
+    10.239.128.117  x86_64-native-linuxapp-gcc  IXGBE_10G-82599_SFP
+                                                                       SUITE      CASE      PASSED
 
 
 """
diff --git a/framework/pmd_output.py b/framework/pmd_output.py
index f27c2513..2d0643a3 100644
--- a/framework/pmd_output.py
+++ b/framework/pmd_output.py
@@ -285,7 +285,7 @@ class PmdOutput:
 
     def check_tx_bytes(self, tx_bytes, exp_bytes=0):
         """
-        fortville nic will send lldp packet when nic setup with testpmd.
+        Intel® Ethernet 700 Series nic will send lldp packet when nic setup with testpmd.
         so should used (tx_bytes - exp_bytes) % PROTOCOL_PACKET_SIZE['lldp']
         for check tx_bytes count right
         """
diff --git a/framework/settings.py b/framework/settings.py
index 14aac9e0..e0a1a3bc 100644
--- a/framework/settings.py
+++ b/framework/settings.py
@@ -49,133 +49,145 @@ FOLDERS = {
 Nics and its identifiers supported by the framework.
 """
 NICS = {
-    "kawela": "8086:10e8",
-    "kawela_2": "8086:10c9",
-    "kawela_4": "8086:1526",
-    "bartonhills": "8086:150e",
-    "powerville": "8086:1521",
-    "powerville_vf": "8086:1520",
-    "ophir": "8086:105e",
-    "niantic": "8086:10fb",
-    "niantic_vf": "8086:10ed",
-    "ironpond": "8086:151c",
-    "twinpond": "8086:1528",
-    "twinpond_vf": "8086:1515",
-    "twinville": "8086:1512",
-    "sageville": "8086:1563",
-    "sageville_vf": "8086:1565",
-    "sagepond": "8086:15ad",
-    "sagepond_vf": "8086:15a8",
-    "magnolia_park": "8086:15ce",
-    "hartwell": "8086:10d3",
-    "82545EM": "8086:100f",
-    "82540EM": "8086:100e",
-    "springville": "8086:1533",
-    "springfountain": "8086:154a",
+    "IGB_1G-82576_QUAD_COPPER": "8086:10e8",
+    "IGB_1G-82576": "8086:10c9",
+    "IGB_1G-82576_QUAD_COPPER_ET2": "8086:1526",
+    "IGB_1G-82580_COPPER": "8086:150e",
+    "IGB_1G-I350_COPPER": "8086:1521",
+    "IGB-I350_VF": "8086:1520",
+    "IGB_1G-82571EB_COPPER": "8086:105e",
+    "IXGBE_10G-82599_SFP": "8086:10fb",
+    "IXGBE_10G-82599_VF": "8086:10ed",
+    "IXGBE_10G-82599_T3_LOM": "8086:151c",
+    "IXGBE_10G-X540T": "8086:1528",
+    "IXGBE_10G-X540_VF": "8086:1515",
+    "IXGBE_10G-X550T": "8086:1563",
+    "IXGBE_10G-X550_VF": "8086:1565",
+    "IXGBE_10G-X550EM_X_10G_T": "8086:15ad",
+    "IXGBE_10G-X550EM_X_VF": "8086:15a8",
+    "IXGBE_10G-X550EM_A_SFP": "8086:15ce",
+    "IGB_1G-82574L": "8086:10d3",
+    "IGB_1G-82545EM_COPPER": "8086:100f",
+    "IGB_1G-82540EM": "8086:100e",
+    "IGB_1G-I210_COPPER": "8086:1533",
+    "IXGBE_10G-82599_SFP_SF_QP": "8086:154a",
     "virtio": "1af4:1000",
-    "avoton": "8086:1f41",
-    "avoton2c5": "8086:1f45",
-    "I217V": "8086:153b",
-    "I217LM": "8086:153a",
-    "I218V": "8086:1559",
-    "I218LM": "8086:155a",
-    "fortville_eagle": "8086:1572",
-    "fortville_spirit": "8086:1583",
-    "fortville_spirit_single": "8086:1584",
-    "fortpark": "8086:374c",
-    "fortpark_1g": "8086:37d1",
-    "fortpark_TLV": "8086:37d0",
-    "fortpark_BASE-T": "8086:37d2",
-    "fortpark_TLV_vf": "8086:37cd",
-    "fvl10g_vf": "8086:154c",
+    "IGB_1G-I354_SGMII": "8086:1f41",
+    "IGB_2.5G-I354_BACKPLANE_2_5GBPS": "8086:1f45",
+    "IGB_1G-PCH_LPT_I217_V": "8086:153b",
+    "IGB_1G-PCH_LPT_I217_LM": "8086:153a",
+    "IGB_1G-PCH_LPTLP_I218_V": "8086:1559",
+    "IGB_1G-PCH_LPTLP_I218_LM": "8086:155a",
+    "I40E_10G-SFP_XL710": "8086:1572",
+    "I40E_40G-QSFP_A": "8086:1583",
+    "I40E_40G-QSFP_B": "8086:1584",
+    "I40E_10G-X722_A0": "8086:374c",
+    "I40E_1G-1G_BASE_T_X722": "8086:37d1",
+    "I40E_10G-SFP_X722": "8086:37d0",
+    "I40E_10G-10G_BASE_T_X722": "8086:37d2",
+    "IAVF_10G-X722_VF": "8086:37cd",
+    "IAVF-VF": "8086:154c",
     "ConnectX3_MT4103": "15b3:1007",
     "ConnectX4_MT4115": "15b3:1013",
     "ConnectX4_LX_MT4117": "15b3:1015",
     "ConnectX5_MT4119": "15b3:1017",
     "ConnectX5_MT4121": "15b3:1019",
-    "fortville_25g": "8086:158b",
+    "I40E_25G-25G_SFP28": "8086:158b",
     "cavium_a034": "177d:a034",
     "cavium_0011": "177d:0011",
-    "fortvile_bdw_de": "8086:15ac",
+    "IXGBE_10G-X550EM_X_SFP": "8086:15ac",
     "cavium_a063": "177d:a063",
     "cavium_a064": "177d:a064",
-    "columbiaville_100g": "8086:1592",
-    "columbiaville_25g": "8086:1593",
-    "columbiaville_25gx2": "8086:159b",
-    "columbiaville_vf": "8086:1889",
+    "ICE_100G-E810C_QSFP": "8086:1592",
+    "ICE_25G-E810C_SFP": "8086:1593",
+    "ICE_25G-E810_XXV_SFP": "8086:159b",
+    "IAVF-ADAPTIVE_VF": "8086:1889",
     "fastlinq_ql45000": "1077:1656",
     "fastlinq_ql45000_vf": "1077:1664",
     "fastlinq_ql41000": "1077:8070",
     "fastlinq_ql41000_vf": "1077:8090",
-    "carlsville": "8086:15ff",
+    "I40E_10G-10G_BASE_T_BC": "8086:15ff",
     "hi1822": "19e5:1822",
-    "foxville": "8086:15f2",
+    "IGC-I225_LM": "8086:15f2",
     "brcm_57414": "14e4:16d7",
     "brcm_P2100G": "14e4:1750",
 }
 
+ETH_700_SERIES = (
+    "I40E_10G-SFP_XL710",
+    "I40E_40G-QSFP_A",
+    "I40E_40G-QSFP_B",
+    "I40E_25G-25G_SFP28",
+)
+
+ETH_800_SERIES = (
+    "ICE_100G-E810C_QSFP",
+    "ICE_25G-E810C_SFP",
+    "ICE_25G-E810_XXV_SFP",
+    "IAVF-ADAPTIVE_VF",
+)
+
 DRIVERS = {
-    "kawela": "igb",
-    "kawela_2": "igb",
-    "kawela_4": "igb",
-    "bartonhills": "igb",
-    "powerville": "igb",
-    "powerville_vf": "igbvf",
-    "ophir": "igb",
-    "niantic": "ixgbe",
-    "niantic_vf": "ixgbevf",
-    "ironpond": "ixgbe",
-    "twinpond": "ixgbe",
-    "twinpond_vf": "ixgbevf",
-    "twinville": "ixgbe",
-    "sageville": "ixgbe",
-    "sageville_vf": "ixgbevf",
-    "sagepond": "ixgbe",
-    "sagepond_vf": "ixgbevf",
-    "magnolia_park": "ixgbe",
-    "hartwell": "igb",
-    "82545EM": "igb",
-    "82540EM": "igb",
-    "springville": "igb",
-    "springfountain": "ixgbe",
+    "IGB_1G-82576_QUAD_COPPER": "igb",
+    "IGB_1G-82576": "igb",
+    "IGB_1G-82576_QUAD_COPPER_ET2": "igb",
+    "IGB_1G-82580_COPPER": "igb",
+    "IGB_1G-I350_COPPER": "igb",
+    "IGB-I350_VF": "igbvf",
+    "IGB_1G-82571EB_COPPER": "igb",
+    "IXGBE_10G-82599_SFP": "ixgbe",
+    "IXGBE_10G-82599_VF": "ixgbevf",
+    "IXGBE_10G-82599_T3_LOM": "ixgbe",
+    "IXGBE_10G-X540T": "ixgbe",
+    "IXGBE_10G-X540_VF": "ixgbevf",
+    "IXGBE_10G-X550T": "ixgbe",
+    "IXGBE_10G-X550_VF": "ixgbevf",
+    "IXGBE_10G-X550EM_X_10G_T": "ixgbe",
+    "IXGBE_10G-X550EM_X_VF": "ixgbevf",
+    "IXGBE_10G-X550EM_A_SFP": "ixgbe",
+    "IGB_1G-82574L": "igb",
+    "IGB_1G-82545EM_COPPER": "igb",
+    "IGB_1G-82540EM": "igb",
+    "IGB_1G-I210_COPPER": "igb",
+    "IXGBE_10G-82599_SFP_SF_QP": "ixgbe",
     "virtio": "virtio-pci",
-    "avoton": "igb",
-    "avoton2c5": "igb",
-    "I217V": "igb",
-    "I217LM": "igb",
-    "I218V": "igb",
-    "I218LM": "igb",
-    "fortville_eagle": "i40e",
-    "fortville_spirit": "i40e",
-    "fortville_spirit_single": "i40e",
-    "fortpark": "i40e",
-    "fortpark_1g": "i40e",
-    "fortpark_TLV": "i40e",
-    "fortpark_BASE-T": "i40e",
-    "fortpark_TLV_vf": "iavf",
-    "fvl10g_vf": "iavf",
+    "IGB_1G-I354_SGMII": "igb",
+    "IGB_2.5G-I354_BACKPLANE_2_5GBPS": "igb",
+    "IGB_1G-PCH_LPT_I217_V": "igb",
+    "IGB_1G-PCH_LPT_I217_LM": "igb",
+    "IGB_1G-PCH_LPTLP_I218_V": "igb",
+    "IGB_1G-PCH_LPTLP_I218_LM": "igb",
+    "I40E_10G-SFP_XL710": "i40e",
+    "I40E_40G-QSFP_A": "i40e",
+    "I40E_40G-QSFP_B": "i40e",
+    "I40E_10G-X722_A0": "i40e",
+    "I40E_1G-1G_BASE_T_X722": "i40e",
+    "I40E_10G-SFP_X722": "i40e",
+    "I40E_10G-10G_BASE_T_X722": "i40e",
+    "IAVF_10G-X722_VF": "iavf",
+    "IAVF-VF": "iavf",
     "ConnectX3_MT4103": "mlx4_core",
     "ConnectX4_MT4115": "mlx5_core",
     "ConnectX4_LX_MT4117": "mlx5_core",
     "ConnectX5_MT4119": "mlx5_core",
     "ConnectX5_MT4121": "mlx5_core",
-    "fortville_25g": "i40e",
+    "I40E_25G-25G_SFP28": "i40e",
     "cavium_a034": "thunder-nicvf",
     "cavium_0011": "thunder-nicvf",
-    "fortvile_bdw_de": "ixgbe",
+    "IXGBE_10G-X550EM_X_SFP": "ixgbe",
     "cavium_a063": "octeontx2-nicpf",
     "cavium_a064": "octeontx2-nicvf",
-    "columbiaville_100g": "ice",
-    "columbiaville_25g": "ice",
-    "columbiaville_25gx2": "ice",
-    "columbiaville_vf": "iavf",
+    "ICE_100G-E810C_QSFP": "ice",
+    "ICE_25G-E810C_SFP": "ice",
+    "ICE_25G-E810_XXV_SFP": "ice",
+    "IAVF-ADAPTIVE_VF": "iavf",
     "fastlinq_ql45000": "qede",
     "fastlinq_ql41000": "qede",
     "fastlinq_ql45000_vf": "qede",
     "fastlinq_ql41000_vf": "qede",
-    "carlsville": "i40e",
+    "I40E_10G-10G_BASE_T_BC": "i40e",
     "hi1822": "hinic",
-    "foxville": "igc",
+    "IGC-I225_LM": "igc",
     "brcm_57414": "bnxt_en",
     "brcm_P2100G": "bnxt_en",
 }
diff --git a/framework/test_case.py b/framework/test_case.py
index 1f5d383b..7343da67 100644
--- a/framework/test_case.py
+++ b/framework/test_case.py
@@ -48,6 +48,8 @@ from .settings import (
     DEBUG_CASE_SETTING,
     DEBUG_SETTING,
     DRIVERS,
+    ETH_700_SERIES,
+    ETH_800_SERIES,
     FUNC_SETTING,
     HOST_DRIVER_SETTING,
     NICS,
@@ -528,23 +530,23 @@ class TestCase(object):
 
         if driver == "ixgbe":
             bitrate *= 10  # 10 Gb NICs
-        elif nic == "avoton2c5":
+        elif nic == "IGB_2.5G-I354_BACKPLANE_2_5GBPS":
             bitrate *= 2.5  # 2.5 Gb NICs
-        elif nic in ["fortville_spirit", "fortville_spirit_single"]:
+        elif nic in ["I40E_40G-QSFP_A", "I40E_40G-QSFP_B"]:
             bitrate *= 40
-        elif nic == "fortville_eagle":
+        elif nic == "I40E_10G-SFP_XL710":
             bitrate *= 10
-        elif nic == "fortpark_TLV":
+        elif nic == "I40E_10G-SFP_X722":
             bitrate *= 10
         elif driver == "thunder-nicvf":
             bitrate *= 10
-        elif nic == "fortville_25g":
+        elif nic == "I40E_25G-25G_SFP28":
             bitrate *= 25
-        elif nic == "columbiaville_25g":
+        elif nic == "ICE_25G-E810C_SFP":
             bitrate *= 25
-        elif nic == "columbiaville_25gx2":
+        elif nic == "ICE_25G-E810_XXV_SFP":
             bitrate *= 25
-        elif nic == "columbiaville_100g":
+        elif nic == "ICE_100G-E810C_QSFP":
             bitrate *= 100
 
         return bitrate * num_ports / 8 / (frame_size + 20)
@@ -557,6 +559,14 @@ class TestCase(object):
             if driver_new != driver_now:
                 netdev.bind_driver(driver=driver_new)
 
+    def is_eth_series_nic(self, series_num: int):
+        series_nic_tuple = globals().get(f"ETH_{series_num}_SERIES")
+        for series_item in series_nic_tuple:
+            if series_item == self.nic:
+                return True
+        else:
+            return False
+
 
 def skip_unsupported_pkg(pkgs):
     """
diff --git a/nics/net_device.py b/nics/net_device.py
index 4ef755e0..18139859 100644
--- a/nics/net_device.py
+++ b/nics/net_device.py
@@ -500,7 +500,7 @@ class NetDevice(object):
         Enable ipv6 address of specified pci device on linux.
         """
         self.__send_expect("sysctl net.ipv6.conf.%s.disable_ipv6=0" % intf, "# ")
-        # FVL interface need down and up for re-enable ipv6
+        # Intel® Ethernet 700 Series interface need down and up for re-enable ipv6
         if self.default_driver == "i40e":
             self.__send_expect("ifconfig %s down" % intf, "# ")
             self.__send_expect("ifconfig %s up" % intf, "# ")